Package org.apache.sling.caconfig

## Class ConfigurationResolveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.caconfig.ConfigurationResolveException

All Implemented Interfaces:
  `Serializable`

    @ProviderType
    public final class ConfigurationResolveException
    extends RuntimeException

Is thrown when configuration cannot be resolved.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConfigurationResolveException​(String message)`
`ConfigurationResolveException​(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationResolveException

    public ConfigurationResolveException​(String message,
                                         Throwable cause)

#### ConfigurationResolveException

    public ConfigurationResolveException​(String message)